DBModule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class DBModule

    java.lang.Object
      network.DBModule

public class DBModule
extends java.lang.Object

DBModule Klasse Stellt das DataAccessObject für die Kommunikation mit der Datenbank dar, handelt daher die Verbindung und führt den gesamten Datentransfer durch

Constructor Summary
`DBModule(ConnectionNotifier netH)` Konstruktor

Method Summary
`void` | `checkConnection()` Überprüft die Verbindung Macht eine kleine Abfrage und schaut ob diese erfolgreich ist
`void` | `connect(java.lang.String ip)` Stellt eine Verbindung mit dem SQL Server her
`void` | `defineObjInDB(TransObj t)` Speichert ein Transportobjekt in der Datenbank
`void` | `deleteObjInDB(int pNr)` Löscht eine Datei (Transportobjekt) aus dem config Ordner
`void` | `disconnect()` Trennt die Verbindung zum Server.
`int` | `getFreeFile()` Sucht die nächste freie Nummer
`boolean` | `isConnected()` Liefert zurück, ob man gerade verbunden ist
`boolean` | `isInDB(int iNr)` schaut, ob ein TransObj in der Datenbank vorhanden ist od. nicht
`java.sql.ResultSet` | `loadData()` lädt die Transportobjkete aus der Datenbank u. fügt sie zur TransObjData hinzu
`void` | `raiseNotification()` Veranlasst, dass eine ConnectionNotification ausgelöst wird.
`void` | `setLoginData(java.lang.String user, java.lang.String passw)` Legt die Daten für das Einloggen fest
`void` | `updateObjInDB(TransObj t)` Ändert die Werte eines Transportobjekts in Db

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBModule

    public DBModule(ConnectionNotifier netH)

  Konstruktor

Parameters:
  `netH` - NetworkHandler Objekt zur Statusmeldung

Method Detail

### isConnected

    public boolean isConnected()

  Liefert zurück, ob man gerade verbunden ist

  Returns:
    true, wenn verbunden, sonst false

### connect

    public void connect(java.lang.String ip)

  Stellt eine Verbindung mit dem SQL Server her

  Parameters:
    `ip` - IP Adresse des Servers zu dem verbunden werden soll

### disconnect

    public void disconnect()

  Trennt die Verbindung zum Server.

### checkConnection

    public void checkConnection()

  Überprüft die Verbindung Macht eine kleine Abfrage und schaut ob diese erfolgreich ist

### setLoginData

    public void setLoginData(java.lang.String user,
                             java.lang.String passw)

  Legt die Daten für das Einloggen fest

  Parameters:
    `user` - Benutzername für die Anmeldung am MySQL Server
    `passw` - Passwort für die Anmeldung am MySQL Server

### raiseNotification

    public void raiseNotification()

  Veranlasst, dass eine ConnectionNotification ausgelöst wird.

### loadData

    public java.sql.ResultSet loadData()

  lädt die Transportobjkete aus der Datenbank u. fügt sie zur TransObjData hinzu

  Returns:
    ein ResultSet Objekt, das alle Datensätze aus der Tabelle TTransObj enthält

### deleteObjInDB

    public void deleteObjInDB(int pNr)

  Löscht eine Datei (Transportobjekt) aus dem config Ordner

  Parameters:
    `pNr` - Nummer bzw. Dateiname des zu löschenden Objekts

### updateObjInDB

    public void updateObjInDB(TransObj t)

  Ändert die Werte eines Transportobjekts in Db

  Parameters:
    `t` - Transportobjekt mit den geänderten Werten

### defineObjInDB

    public void defineObjInDB(TransObj t)

  Speichert ein Transportobjekt in der Datenbank

  Parameters:
    `t` - das zu speichernde TransObj

### getFreeFile

    public int getFreeFile()

  Sucht die nächste freie Nummer

  Returns:
    Nummer die zum Speichern der .obj Datei verwendet werden kann

### isInDB

    public boolean isInDB(int iNr)

  schaut, ob ein TransObj in der Datenbank vorhanden ist od. nicht

  Parameters:
    `iNr` - Nummer des TransObj
  Returns:
    true wenn vorhanden, sonst false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD